;;; -*- Mode:LISP; Readtable:ZL; Package:li; Base:8.; Cold-load: T -*-
;;; This is SYS: SYS; QFASL, a cold load file.
;;; 
;;; LOAD, READFILE, and FASLOAD for the Lisp Machine
;;; ** (c) Copyright 1980, 1984 Massachusetts Institute of Technology **

;;; ** (c) Copyright 1988 GigaMos Systems, Inc. **

(setq *fasl-table-free-list* nil) ;;+++ Temporary.

(ASSIGN-ALTERNATE FASL-GROUP-FIELD-VALUES)

(ASSIGN-VALUES FASL-OPS 0)

(ASSIGN-VALUES FASL-TABLE-PARAMETERS 0)

(ASSIGN-VALUES FASL-OPS 0)

(fasl-restart)

;;; Since the :MACROS-EXPANDED property tells us what happened.
(defprop fasl-record-file-macros-expanded t qfasl-dont-record)

(defprop qfasl-dont-record t debug-info)

;;; Calls to these functions should not be recorded.
(DEFPROP DEFVAR-1 T QFASL-DONT-RECORD)
(DEFPROP DEFCONST-1 T QFASL-DONT-RECORD)
(DEFPROP DEFVAR-RESETTABLE-1 T QFASL-DONT-RECORD)
(DEFPROP DEFSELECT-INTERNAL T QFASL-DONT-RECORD)
(DEFPROP FUNCTION-SPEC-PUTPROP T QFASL-DONT-RECORD)
(DEFPROP FDEFINITION-LOCATION T QFASL-DONT-RECORD)
(DEFPROP RECORD-SOURCE-FILE-NAME T QFASL-DONT-RECORD)


;;(DEFPROP FS::MAKE-FASLOAD-PATHNAME T QFASL-DONT-RECORD)
;;*** make the fs: package on the K !!!


;;; These properties should not be recorded when they are DEFPROPed.
(DEFPROP DEFSTRUCT-SLOT T QFASL-DONT-RECORD)
(DEFPROP DEFSTRUCT-DESCRIPTION T QFASL-DONT-RECORD)
(DEFPROP DEFSTRUCT-NAME T QFASL-DONT-RECORD)

;; (setq PRINT-LOADED-FORMS lisp:t)  ;; this finds an unbound PRIMS:T, more package lossage ...